local Electuary = ...

-- Register model for stocking asset
--Electuary:registerAssetId("models/crate.fbx/Prefab/crate","MY_CRATE")

-- Register image assets
Electuary:registerAssetId("icons/electuary.png", "ICON_ELECTUARY")
Electuary:registerAssetId("icons/sugar.png", "ICON_SUGAR")

-- Register Electuary (luxury food)
Electuary:register({
	DataType = "RESOURCE",
	Id = "ELECTUARY",
	ResourceName = "ELECTUARY_NAME",
	Icon = "ICON_ELECTUARY",
	ResourceTypeList = { "LUXURY_FOOD" },
	IsTradable = true,
--        ResourceLayoutType = "CRATES",
--        Prefab = "MY_CRATE",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 50 }
})

-- Register Sugar (luxury food)
Electuary:register({
	DataType = "RESOURCE",
	Id = "SUGAR",
	ResourceName = "SUGAR_NAME",
	Icon = "ICON_SUGAR",
	ResourceTypeList = { "LUXURY_FOOD" },
	IsTradable = true,
--        ResourceLayoutType = "CRATES",
--        Prefab = "MY_CRATE",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 20 }
})
